
indicator_malaria <- function(tas, hurs, prlr, region = 'region', species = 'P.vivax', freq = 'monthly'){

    if (region == 'region' and species == 'P.vivax'){
        threshold_temperature_low <- 14.5
        threshold_temperature_high <- 33
        threshold_relativehumidity_low <- 60
        threshold_totalprecipitation_low <- 80
    }
    if (region == 'region' and species == 'P.falciparum'){
        threshold_temperature_low <- 18
        threshold_temperature_high <- 33
        threshold_relativehumidity_low <- 60
        threshold_totalprecipitation_low <- 80
    }

    if (freq == 'daily'){
         # to do
    }

    malaria_suitability <- ifelse(tas >= threshold_temperature_low & 
                            tas <= threshold_temperature_high & 
                            hurs >= threshold_relativehumidity_low & 
                            prlr >= threshold_totalprecipitation_low, 1, 0)
    
    return(malaria_suitability)
}